ToAPIsToAPIs
Gemini-2.5-Flash-Image-preview

Gemini-2.5-Flash 图像生成

使用 Google Gemini 2.5 Flash 模型生成图像,快速高效

POST
/v1/images/generations

国内用户请注意: 中国大陆用户请使用 https://toapis.cn 作为接口地址(Base URL)。文档示例中的 https://toapis.com 请替换为 https://toapis.cn。

  • Google Gemini 2.5 Flash 高效图像生成模型
  • 通过 model 参数选择 gemini-2.5-flash-image-preview 模型
  • 支持文本到图像生成
  • 异步任务管理,通过任务 ID 查询结果

重要变更:为了更好的性能和成本控制,我们不再支持在 image_urls 中直接传入 base64 图片数据。请先使用 上传图片接口 上传图片,获取 URL 后再调用本接口。

Authorizations

Authorizationstring请求头必填

所有接口均需要使用 Bearer Token 进行认证

获取 API Key:访问 API Key 管理页面 获取您的 API Key

使用时在请求头中添加:

Authorization: Bearer YOUR_API_KEY

Body

modelstring请求体必填默认值: gemini-2.5-flash-image-preview

图像生成模型名称

示例:"gemini-2.5-flash-image-preview"

promptstring请求体必填

图像生成的文本描述

最长 1000 个字符

sizestring请求体

图像生成的尺寸比例

支持的格式:

值说明像素(参考)
1:1正方形1024x1024
16:9横向宽屏1792x1024
9:16竖向长图1024x1792
4:3横向标准1365x1024
3:4竖向标准1024x1365
3:2横向相片1536x1024
2:3竖向相片1024x1536
ninteger请求体默认值: 1

生成图像的数量

固定为 1

⚠️ 注意: 必须是纯数字(如 1),不要加引号,否则会报错

image_urlsobject[]请求体

参考图像 URL 列表,用于图生图或图像编辑

详细字段说明
urlstring请求体必填

图像 URL 地址

⚠️ 仅支持 URL 格式(不再支持 base64)

  • 公开可访问的图片 URL(http:// 或 https://)
  • 示例:https://example.com/image.jpg
  • 可使用 上传图片接口 上传本地图片获取 URL

限制:

  • 单张图片不得超过 10MB
  • 支持格式:.jpeg, .jpg, .png, .webp

限制: 最多 14 张图片

metadataobject请求体

元数据参数,用于传递额外的配置选项

支持的元数据字段
resolutionstring请求体默认值: 1K

输出图像分辨率

支持的值:

  • 1K - 1K 分辨率(默认,唯一支持的选项)
orientationstring请求体

图像方向

支持的值:

  • landscape - 横向
  • portrait - 竖向

Response

idstring

任务唯一标识符,用于查询任务状态

objectstring

对象类型,固定为 generation.task

modelstring

使用的模型名称

statusstring

任务状态

  • queued - 排队等待处理
  • in_progress - 处理中
  • completed - 成功完成
  • failed - 失败
progressinteger

任务进度百分比(0-100)

created_atinteger

任务创建时间戳(Unix 时间戳)

metadataobject

任务元数据

请求示例

curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-2.5-flash-image-preview",
    "prompt": "一只穿着宇航服的猫咪在月球上行走",
    "size": "1:1",
    "n": 1
  }'
curl --request POST \
  --url https://toapis.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "gemini-2.5-flash-image-preview",
    "prompt": "将这只猫变成卡通风格",
    "size": "1:1",
    "n": 1,
    "image_urls": ["https://example.com/cat.jpg"]
  }'
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-2.5-flash-image-preview",
        "prompt": "一只穿着宇航服的猫咪在月球上行走",
        "size": "1:1",
        "n": 1
    }
)

task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests

response = requests.post(
    "https://toapis.com/v1/images/generations",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "gemini-2.5-flash-image-preview",
        "prompt": "将这只猫变成卡通风格",
        "size": "1:1",
        "n": 1,
        "image_urls": ["https://example.com/cat.jpg"]
    }
)

task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-2.5-flash-image-preview',
    prompt: '一只穿着宇航服的猫咪在月球上行走',
    size: '1:1',
    n: 1
  })
});

const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'gemini-2.5-flash-image-preview',
    prompt: '将这只猫变成卡通风格',
    size: '1:1',
    n: 1,
    image_urls: ['https://example.com/cat.jpg']
  })
});

const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);

响应示例

{
  "id": "task_img_abc123def456",
  "object": "generation.task",
  "model": "gemini-2.5-flash-image-preview",
  "status": "queued",
  "progress": 0,
  "created_at": 1703884800,
  "metadata": {}
}